Index: /trunk/src/VBox/Installer/linux/routines.sh
===================================================================
--- /trunk/src/VBox/Installer/linux/routines.sh	(revision 58614)
+++ /trunk/src/VBox/Installer/linux/routines.sh	(revision 58615)
@@ -167,5 +167,5 @@
     ln -s "${script}" "/sbin/rc${name}"
     if test -x "`which systemctl 2>/dev/null`"; then
-        if ! test -L /sbin/init || ls -l /sbin/init | grep -q ">.*systemd"; then
+        if ! test -f /sbin/init || ls -l /sbin/init | grep -q ">.*systemd"; then
             { systemd_wrap_init_script "$script" "$name"; return; }
         fi
